<div class="m-2 d-flex">
    <button class="btn btn-outline-secondary me-2" type="button" 
    data-bs-toggle="modal" data-bs-target="#filterRecherche">Filtre</button>
    <form class="d-flex">
        <input (ngModelChange)="sendTogestionnaireDePlan(key.value)" #key="ngModel" ngModel name="key"
         class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
      </form> 
    </div>
    
    
      <!-- Modal -->
      <form [formGroup]="form" (ngSubmit)="submit()" >
    <div class="modal fade" id="filterRecherche" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Filtre de recherche</h5>
              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
               
            <div class="btn-group " role="group" aria-label="Basic radio toggle button group">
                <div class="me-2 ms-2">
                    <input formControlName="choix" value="actif" name="choix" type="radio" class="btn-check"  id="btnradio1" autocomplete="off" checked>
                    <label class="btn btn-outline-danger" for="btnradio1">Actif</label>
                </div>
                <div>
                    <input formControlName="choix" value="inactif" name="choix" type="radio" class="btn-check"  id="btnradio2" autocomplete="off">
                    <label class="btn btn-outline-secondary" for="btnradio2">Inactif</label>
                </div>
                <div class="me-2 ms-2">
                  <input formControlName="choix" value="aucun" name="choix" type="radio" class="btn-check" id="btnradio3" autocomplete="off">
                  <label class="btn btn-outline-primary" for="btnradio3">Aucun</label>
              </div>
            </div>

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
              <button type="submit" class="btn btn-primary" data-bs-dismiss="modal">Save changes</button>
            </div>
          </div>
        </div>
      </div>
    </form>
    